<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Fri May 25 11:54:51 EDT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>A-Index (SelekTOR Java Documentation)</title>
<meta name="date" content="2018-05-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="A-Index (SelekTOR Java Documentation)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">Q</a>&nbsp;<a href="index-17.html">R</a>&nbsp;<a href="index-18.html">S</a>&nbsp;<a href="index-19.html">T</a>&nbsp;<a href="index-20.html">U</a>&nbsp;<a href="index-21.html">V</a>&nbsp;<a href="index-22.html">W</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="../client/TorController.html#abortActions--">abortActions()</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Abort all current actions</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#abortLatencyCheck--">abortLatencyCheck()</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Abort latency checking</div>
</dd>
<dt><a href="../lib/AboutDialog.html" title="class in lib"><span class="typeNameLink">AboutDialog</span></a> - Class in <a href="../lib/package-summary.html">lib</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/AboutDialog.html#AboutDialog-java.awt.Frame-boolean-">AboutDialog(Frame, boolean)</a></span> - Constructor for class lib.<a href="../lib/AboutDialog.html" title="class in lib">AboutDialog</a></dt>
<dd>
<div class="block">Creates new About Dialog</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/ExtensionFileFilter.html#accept-java.io.File-">accept(File)</a></span> - Method in class lib.<a href="../lib/ExtensionFileFilter.html" title="class in lib">ExtensionFileFilter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#activateCircuit-java.lang.String-">activateCircuit(String)</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Activate given circuit, does not block</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#activateNodes-java.lang.String-int-">activateNodes(String, int)</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Set the csv list of exit node fingers to be used by tor, a single exit
 node may also be specified, this does not block</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#activateNodesBlocking-java.lang.String-int-">activateNodesBlocking(String, int)</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Set the csv list of exit node fingers to be used by tor, a single exit
 node may also be specified, this blocks</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/TrayPopupMenu.html#add-javax.swing.JMenuItem-">add(JMenuItem)</a></span> - Method in class lib.<a href="../lib/TrayPopupMenu.html" title="class in lib">TrayPopupMenu</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/NodeList.html#addBridge-java.lang.String-">addBridge(String)</a></span> - Method in class client.<a href="../client/NodeList.html" title="class in client">NodeList</a></dt>
<dd>
<div class="block">Add newly learned bridge to nodelist</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#addDirectMatchingRule-java.util.ArrayList-java.lang.String-">addDirectMatchingRule(ArrayList&lt;String&gt;, String)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#addFilesToZip-java.io.File...-">addFilesToZip(File...)</a></span> - Method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>
<div class="block">Add files to a zip file</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SwingTrayIcon.html#addMouseListener-java.awt.event.MouseListener-">addMouseListener(MouseListener)</a></span> - Method in class lib.<a href="../lib/SwingTrayIcon.html" title="class in lib">SwingTrayIcon</a></dt>
<dd>
<div class="block">Add a mouse listener</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#addProxyRule-java.util.ArrayList-java.lang.String-">addProxyRule(ArrayList&lt;String&gt;, String)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/ExitNodeTableModel.html#addRow-java.lang.Object:A-">addRow(Object[])</a></span> - Method in class client.<a href="../client/ExitNodeTableModel.html" title="class in client">ExitNodeTableModel</a></dt>
<dd>
<div class="block">Add rowdata with given data object array</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/GuardNodeTableModel.html#addRow-java.lang.Object:A-">addRow(Object[])</a></span> - Method in class client.<a href="../client/GuardNodeTableModel.html" title="class in client">GuardNodeTableModel</a></dt>
<dd>
<div class="block">Add rowdata with given data object array</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PatternsEditor.PACTableModel.html#addRow-java.lang.Object:A-boolean-">addRow(Object[], boolean)</a></span> - Method in class client.<a href="../client/PatternsEditor.PACTableModel.html" title="class in client">PatternsEditor.PACTableModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#addSocksMatchingRule-java.util.ArrayList-java.lang.String-java.lang.String-java.lang.String-">addSocksMatchingRule(ArrayList&lt;String&gt;, String, String, String)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Add socks pattern mayching rule to a supllied list</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#addSocksRule-java.util.ArrayList-java.lang.String-java.lang.String-">addSocksRule(ArrayList&lt;String&gt;, String, String)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Add a socks rule to a supplied list</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#addToPatternFile-java.lang.String-java.lang.String-java.lang.String-">addToPatternFile(String, String, String)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Adds pattern to an existing pattern file</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/Utilities.html#adjustTableColumnWidth-javax.swing.JTable-java.lang.String...-">adjustTableColumnWidth(JTable, String...)</a></span> - Static method in class lib.<a href="../lib/Utilities.html" title="class in lib">Utilities</a></dt>
<dd>
<div class="block">Adjust specified column width based on the width of a test string</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/InfoDialog.html#appendInfoText-java.lang.String-">appendInfoText(String)</a></span> - Method in class lib.<a href="../lib/InfoDialog.html" title="class in lib">InfoDialog</a></dt>
<dd>
<div class="block">Append text to the information area, Scrolling should be enabled</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/GuardNodeDialog.html#APPLY">APPLY</a></span> - Static variable in class client.<a href="../client/GuardNodeDialog.html" title="class in client">GuardNodeDialog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/PatternsEditor.html#APPLY">APPLY</a></span> - Static variable in class client.<a href="../client/PatternsEditor.html" title="class in client">PatternsEditor</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/PrefsDialog.html#APPLY">APPLY</a></span> - Static variable in class client.<a href="../client/PrefsDialog.html" title="class in client">PrefsDialog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/QuickAddDialog.html#APPLY">APPLY</a></span> - Static variable in class client.<a href="../client/QuickAddDialog.html" title="class in client">QuickAddDialog</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">Q</a>&nbsp;<a href="index-17.html">R</a>&nbsp;<a href="index-18.html">S</a>&nbsp;<a href="index-19.html">T</a>&nbsp;<a href="index-20.html">U</a>&nbsp;<a href="index-21.html">V</a>&nbsp;<a href="index-22.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
